<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: behave Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classETHGENERATOR2.html">ETHGENERATOR2</a></li><li class="navelem"><a class="el" href="classETHGENERATOR2_1_1behave.html">behave</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behave Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classETHGENERATOR2_1_1behave-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a43bf486ea711e06a6fb4e560f542256d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a43bf486ea711e06a6fb4e560f542256d"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a43bf486ea711e06a6fb4e560f542256d">PROCESS_974</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">rx_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a8a326d6f23f346aef6b4ce642acb7581"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8a326d6f23f346aef6b4ce642acb7581"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a8a326d6f23f346aef6b4ce642acb7581">PROCESS_975</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">gmii_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a35ac8bcf3c6e12d64aa68f746c5cc953"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35ac8bcf3c6e12d64aa68f746c5cc953"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a35ac8bcf3c6e12d64aa68f746c5cc953">PROCESS_976</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">rgmii_mode</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">mii_mode</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">ethernet_speed</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clk_div2</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">rx_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:adba4079712842f7fb5181581f29ac339"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adba4079712842f7fb5181581f29ac339"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#adba4079712842f7fb5181581f29ac339">PROCESS_1383</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">rx_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ad0b85949944ffd03e089bb07a745b90d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad0b85949944ffd03e089bb07a745b90d"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#ad0b85949944ffd03e089bb07a745b90d">PROCESS_1384</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">reset</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">gmii_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a320c40adb32597129581120966c72ddb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a320c40adb32597129581120966c72ddb"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a320c40adb32597129581120966c72ddb">PROCESS_1385</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">rgmii_mode</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">mii_mode</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">ethernet_speed</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">clk_div2</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">rx_clk</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:a91d32ff9ab2aa368a3b0b23ead23af15"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a91d32ff9ab2aa368a3b0b23ead23af15"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a91d32ff9ab2aa368a3b0b23ead23af15">ETHGENERATOR</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classETHGENERATOR.html">&lt;Entity ETHGENERATOR&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a0af1aa252e8b2139307f5f09820a36a8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0af1aa252e8b2139307f5f09820a36a8"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a0af1aa252e8b2139307f5f09820a36a8">gmii_clk</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa21d8650eee27d25ca32d465d11325ce"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa21d8650eee27d25ca32d465d11325ce"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#aa21d8650eee27d25ca32d465d11325ce">gmii_d</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a12aae7921995830881a3a30b937789a8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a12aae7921995830881a3a30b937789a8"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a12aae7921995830881a3a30b937789a8">gmii_en</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7dfa91a1b5c55375703163c48499d980"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7dfa91a1b5c55375703163c48499d980"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a7dfa91a1b5c55375703163c48499d980">gmii_en_d</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab450cb2d5f59161ca8ca548a33a8f1ee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab450cb2d5f59161ca8ca548a33a8f1ee"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#ab450cb2d5f59161ca8ca548a33a8f1ee">gmii_er</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1a41c7a5760a82fdf0743eef49e6db4c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1a41c7a5760a82fdf0743eef49e6db4c"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a1a41c7a5760a82fdf0743eef49e6db4c">sop_gen</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa818af37012fec1b144d0d3ff2f5d319"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa818af37012fec1b144d0d3ff2f5d319"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#aa818af37012fec1b144d0d3ff2f5d319">eop_gen</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aaeffc568da166c5bcb4aaa7724031487"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaeffc568da166c5bcb4aaa7724031487"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#aaeffc568da166c5bcb4aaa7724031487">done_gen</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acca5b4a197a510fbcfa0b3ebd2731b69"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acca5b4a197a510fbcfa0b3ebd2731b69"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#acca5b4a197a510fbcfa0b3ebd2731b69">eop_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab18082fee1e8ffc396362bffaf5488fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab18082fee1e8ffc396362bffaf5488fd"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#ab18082fee1e8ffc396362bffaf5488fd">sop_m</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad8c8e18b91183d2fda3758e2bb10f45d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad8c8e18b91183d2fda3758e2bb10f45d"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#ad8c8e18b91183d2fda3758e2bb10f45d">eop_m</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9964c45bdd73c01ff23ac2f8201d023b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9964c45bdd73c01ff23ac2f8201d023b"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a9964c45bdd73c01ff23ac2f8201d023b">start_gen</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac42ae09de5e97c29ccce0a851912f40a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac42ae09de5e97c29ccce0a851912f40a"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#ac42ae09de5e97c29ccce0a851912f40a">clk_div2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1c5dce73782a622dd67ff40b38854a2c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1c5dce73782a622dd67ff40b38854a2c"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a1c5dce73782a622dd67ff40b38854a2c">nib1</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a533cd64fa40707640f7cc2e0f7c4fcf3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a533cd64fa40707640f7cc2e0f7c4fcf3"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a533cd64fa40707640f7cc2e0f7c4fcf3">rgmii_en_er</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a46ae184db72869940a54d47756e1a8cb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a46ae184db72869940a54d47756e1a8cb"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a46ae184db72869940a54d47756e1a8cb">rgmii_dat</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 0000 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a623dffd05e05dfccf6dcd85ae0d5fb4e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a623dffd05e05dfccf6dcd85ae0d5fb4e"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a623dffd05e05dfccf6dcd85ae0d5fb4e">rgmii_dat_f</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a41d6070f82fd5720aae08806382803bc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a41d6070f82fd5720aae08806382803bc"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a41d6070f82fd5720aae08806382803bc">mii_en</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afbcc557d08d6412424695cd453dcaf23"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afbcc557d08d6412424695cd453dcaf23"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#afbcc557d08d6412424695cd453dcaf23">mii_er</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7be5baae203811b7d4260157b3337f1a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7be5baae203811b7d4260157b3337f1a"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a7be5baae203811b7d4260157b3337f1a">mii_dat</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa3a4317d86b0d3e182e0457985d9eecb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa3a4317d86b0d3e182e0457985d9eecb"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#aa3a4317d86b0d3e182e0457985d9eecb">gmii_err_d</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a515cef9881189fbd3add16c7ea5300c8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a515cef9881189fbd3add16c7ea5300c8"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a515cef9881189fbd3add16c7ea5300c8">gmii_10_100_en_d</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0dc4b7bfbeae3418728568623acc863a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0dc4b7bfbeae3418728568623acc863a"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a0dc4b7bfbeae3418728568623acc863a">gmii_10_100_err_d</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0d163ff23ede391cd596262532a62066"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0d163ff23ede391cd596262532a62066"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a0d163ff23ede391cd596262532a62066">rgmii_10_100_en_er</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a271922b4d710d6526aceb92f98eb0051"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a271922b4d710d6526aceb92f98eb0051"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a271922b4d710d6526aceb92f98eb0051">rgmii_10_100_en_er_d</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9e31670904af63b78e90511733abe137"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9e31670904af63b78e90511733abe137"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a9e31670904af63b78e90511733abe137">rgmii_10_100_en_er_d2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1b208eeb0cbe5bb6647298e9b19f341a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1b208eeb0cbe5bb6647298e9b19f341a"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a1b208eeb0cbe5bb6647298e9b19f341a">rgmii_en_er_f</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8f135681cdbb46b7cf0c9472fd8f4ec9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8f135681cdbb46b7cf0c9472fd8f4ec9"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#a8f135681cdbb46b7cf0c9472fd8f4ec9">rgmii_10_100_en_er_f</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:abf6bf52b23c37acb2f87f8c5da96ace7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abf6bf52b23c37acb2f87f8c5da96ace7"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#abf6bf52b23c37acb2f87f8c5da96ace7">GMII_GEN</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>ETHGENERATOR</b>  <em><a class="el" href="classETHGENERATOR.html">&lt;Entity ETHGENERATOR&gt;</a></em></td></tr>
<tr class="memitem:abf6bf52b23c37acb2f87f8c5da96ace7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abf6bf52b23c37acb2f87f8c5da96ace7"></a>
<a class="el" href="classETHGENERATOR2_1_1behave.html#abf6bf52b23c37acb2f87f8c5da96ace7">GMII_GEN</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>ETHGENERATOR</b>  <em><a class="el" href="classETHGENERATOR.html">&lt;Entity ETHGENERATOR&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2ethgen2_8vhd_source.html#l00112">112</a> of file <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2ethgen2_8vhd_source.html">ethgen2.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/tse_rgmii_testbench/testbench_vhdl/models/<a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2ethgen2_8vhd_source.html">ethgen2.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/WIB_TSE_testbench/testbench_vhdl/models/<a class="el" href="WIB__TSE__testbench_2testbench__vhdl_2models_2ethgen2_8vhd_source.html">ethgen2.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:33 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
